# \Thelia\Core\TranslationTranslator

## Summary

Methods
Properties
Constants
trans()
No public properties found
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  Core/Translation/Translator.php
Package
  \Default
Class hierarchy
  \Symfony\Component\Translation\Translator
  \Thelia\Core\Translation\Translator

## Tags

None found

## Methods

### trans()

    trans( $id, array $parameters,  $domain,  $locale)

{@inheritdoc}

#### Parameters

| $id |
array | $parameters |
| $domain |
| $locale |

#

## Tags

api |

### Translator.php